MysqlndUhConnection::selectDb
MysqlndUhConnection::sendQuery
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::sendClose

Sends a close command to MySQL

### Description

public bool MysqlndUhConnection::sendClose ( mysqlnd_connection `$connection` )

Sends a close command to MySQL.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::sendClose example

`<?php
class proxy extends MysqlndUhConnection {
public function sendClose($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::sendClose($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->close();
?>`

The above example will output:

    proxy::sendClose(array (
      0 => NULL,
    ))
    proxy::sendClose returns true
    proxy::sendClose(array (
      0 => NULL,
    ))
    proxy::sendClose returns true

### See Also

- mysqlnd_uh_set_connection_proxy